package com.example.iot_controlhost.model.net;

import com.google.gson.annotations.SerializedName;

/**
 * @Description Token
 * @Author DuanKaiji
 * @CreateTime 2024年01月08日 14:00:17
 */
public class Token {

    @SerializedName("access_token")
    private String accessToken;
    @SerializedName("expires_in")
    private Integer expiresIn;
    @SerializedName("token_type")
    private String tokenType;
    @SerializedName("refresh_token")
    private String refreshToken;
    @SerializedName("cache_token")
    private String cacheToken;

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public Integer getExpiresIn() {
        return expiresIn;
    }

    public void setExpiresIn(Integer expiresIn) {
        this.expiresIn = expiresIn;
    }

    public String getTokenType() {
        return tokenType;
    }

    public void setTokenType(String tokenType) {
        this.tokenType = tokenType;
    }

    public String getRefreshToken() {
        return refreshToken;
    }

    public void setRefreshToken(String refreshToken) {
        this.refreshToken = refreshToken;
    }

    public String getCacheToken() {
        return cacheToken;
    }

    public void setCacheToken(String cacheToken) {
        this.cacheToken = cacheToken;
    }
}
